Package be.fgov.ehealth.genericinsurability.core.v1

# Class PeriodType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.PeriodType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public class PeriodType extends Object implements Serializable

Java class for PeriodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PeriodStart" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="PeriodEnd" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getPeriodEnd()`
  The end date of the period.
  `Instant`
  `getPeriodStart()`
  The start date of the period This is zone 304 in the flat file version.
  `void`
  `setPeriodEnd(Instant value)`
  Sets the value of the periodEnd property.
  `void`
  `setPeriodStart(Instant value)`
  Sets the value of the periodStart property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PeriodType

    public PeriodType()

- ## Method Details

  - ### getPeriodStart

    public Instant getPeriodStart()
    The start date of the period This is zone 304 in the flat file version.
    Returns:
      possible object is `String`

  - ### setPeriodStart

    public void setPeriodStart(Instant value)
    Sets the value of the periodStart property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPeriodStart()`

  - ### getPeriodEnd

    public Instant getPeriodEnd()
    The end date of the period. This is zone 305 in the flat file version.
    Returns:
      possible object is `String`

  - ### setPeriodEnd

    public void setPeriodEnd(Instant value)
    Sets the value of the periodEnd property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPeriodEnd()`